Description

When I get a list of issues I would like to know whether the issue is open or closed depending on the status. For example, an external

application does not need to know specific statuses but just the open/closed information. According to a feature to filter issues by

"open" or "closed" status I don't think it is difficult to involve this information to the issue element.

Associated revisions

Revision 21225 - 2021-10-02 08:16 - Go MAEDA

Add information about whether an issue is open or closed to Issues API response (#15855).

Patch by Takenori TAKAKI.

History

#1 - 2014-01-13 14:23 - Etienne Massip

You can already get this information with Rest_IssueStatuses, I don't see the point of returning it with /issues, REST result is not supposed to be

directly manipulated by humans?

#2 - 2014-08-03 20:49 - Michal Ciasnocha

I know I can get that information from Issue statuses, but I is necessary to make another request which is not effective. FYI I have an external system

which retrieves all issues from Redmine (both open and closed) and I need to tell users their status.

#3 - 2021-08-11 01:17 - Takenori TAKAKI

- File 15855.patch added

I made a patch to implement this improvement and posted it.

#4 - 2021-08-17 10:17 - Takenori TAKAKI

- File 15855-v2.patch added

I'll post a patch that also adds open or closed to 'allowed_statuses', which was added in #24976.

#5 - 2021-08-22 04:30 - Go MAEDA

- Target version set to Candidate for next major release

#6 - 2021-08-28 08:33 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#7 - 2021-09-05 05:17 - Go MAEDA

- Subject changed from REST issue element could contain information whether the issue is open or closed to Add information about whether an issue

is open or closed to Issues API response

#8 - 2021-10-02 08:16 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA
https://www.redmine.org/projects/redmine/wiki/Rest_IssueStatuses
https://www.redmine.org/issues/24976


Committed the patch. Thank you.

Files

15855.patch 3.1 KB 2021-08-10 Takenori TAKAKI

15855-v2.patch 4.25 KB 2021-08-17 Takenori TAKAKI
